TAAS - Feature #244

Airline Sales Analysis Report
07/09/2023 04:11 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 08/07/2023
Priority: Normal Due date:

Assignee: Augustin Jose % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Airline Sales Analysis Report

Description

Coding Airline Sales Analysis Report

History

#1 - 08/07/2023 10:02 AM - Anonymous

- Assignee changed from travvise Admin to Amal Pious

#2 - 08/07/2023 10:06 AM - Amal Pious

- Status changed from New to Coding Started

- Start date changed from 07/09/2023 to 08/07/2023
- % Done changed from 0 to 40

#3 - 08/11/2023 12:20 PM - Anil KV

Solution

—-Issue Date to Issue/Cancel Date*

—-Grouping Default Monthly

-SQL Tables check ->Airline Sales and Refund and Customer #243 and Style check = Customer Sales Analysis Re
port #229

—-SQL Group by - sin_record_type also

-Amount consider dbl_supplier_amount

#4 - 10/06/2023 10:42 AM - Junaid M

SELECT
spd. fk_service_id,
CASE WHEN tkt.sin_record_type = 1 THEN TO_CHAR (spd.dat_issue , 'Month YYYY') ELSE TO_CHAR (spd.dat_can
cel , 'Month YYYY') END AS str_month,
spd.fk_branch_id,
spd. fk_department_id,
spd.fk_sub_customer_id,
tkt.sin_record_type,
spd.sin_sys_sale_side_status,
spd.sin_sys_refund_side_status,
sfr.dbl_customer_price,
sfr.dbl_normal_profit
FROM airticket.tbl_ticket tkt
LEFT JOIN service.tbl_supp_doc_no AS spd
ON tkt.fk_supp_doc_no_id = spd.pk_supp_doc_no_id
LEFT JOIN airticket.tbl_ticket_gen_data AS tkg
ON spd.pk_supp_doc_no_id = tkg.fk_supp_doc_no_id
LEFT JOIN service.tbl_supp_doc_fare AS sfr
ON tkt.fk_ticket_cus_ledg_fare_id = sfr.pk_supp_doc_fare_id —--*1
WHERE tkt.int_sys_action_id != -1
AND (spd.sin_sys_sale_side_status IN (1, 2) OR spd.sin_sys_refund_side_status IN (1,3))
AND spd.dat_issue BETWEEN '2023-08-08' AND '2023-08-08'
AND (spd.vhr_pax_name ILIKE '*' OR spd.vhr_pax_name ILIKE '*'")
—— Other Filters
#5 - 10/09/2023 09:50 AM - Amal Pious
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#6 - 10/12/2023 11:32 AM - Seema Mathew
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Seema Mathew
ISSUE FOUNDED **
1.MISSING DATA WHILE CHANGING GROUPING .

#7 - 10/12/2023 03:51 PM - Amal Pious
1.MISSING DATA WHILE CHANGING GROUPING . - Fixed

#8 - 10/12/2023 03:52 PM - Amal Pious
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#9 - 10/13/2023 03:32 PM - Seema Mathew
TESTING DONE

#10 - 10/20/2023 06:30 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

1.BASE 1 QAR WISE CHANGE IN AMOUNT FIELD

#11 - 10/26/2023 12:22 PM - Amal Pious

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

1.BASE 1 QAR WISE CHANGE IN AMOUNT FIELD - Fixed

#12 - 11/30/2023 07:06 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.CHANGE PRINT FORMAT TO NORMAL FIELD WHILE THERE IS ONLY ONE LIST ITEM

#13 - 12/01/2023 10:37 AM - Junaid M

- Assignee changed from Amal Pious to Sibin Babu

#14 - 12/01/2023 01:00 PM - Sibin Babu
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#15 - 12/01/2023 02:39 PM - unnikannan S
TESTING DONE

#16 - 12/18/2023 12:34 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

* GUI CHANGES

Done 1.CHANGE GRID FORMAT (REFFER CUSTOMER SALES ANALYSIS REPORT)

ISSUE FOUNDED

Fixed 1.NOT SHOWING DATAS FROM REFUNDED DOCUMENTS AND VOID VOUCHERS
Done 2.ADD TRANSACTION/DOCUMENT DATES IN PERIOD DROP DOWN AND SHOW TRANSACTION DATE AS DEFAULT DATE
Fixed 3.DATA NOT CLEARING WHILE CHOOSING NEW BUTTON FROM GRID GROUPING ITEMS

Fxed 4.NO DATA WHILE SEARCH WITH INDIVIDUAL CURRENCY

#17 - 01/01/2024 04:59 PM - Anonymous
- Assignee changed from Sibin Babu to Amal Siby

#18 - 01/10/2024 02:28 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#19 - 01/11/2024 11:23 AM - unnikannan S
TESTING DONE

#20 - 01/11/2024 11:59 AM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.FALSE AMOUNT SHOWING IN REFUND COLUMN AFTER ISSUING TO CANCEL

#21 - 01/19/2024 07:18 PM - Junaid M

- Assignee changed from Amal Siby to Baseem Shan

#22 - 01/31/2024 12:51 PM - Junaid M

- Assignee changed from Baseem Shan to Vivekp V

#23 - 02/01/2024 05:51 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.FALSE AMOUNT SHOWING IN REFUND COLUMN AFTER ISSUING TO CANCEL
#24 - 02/02/2024 10:15 AM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.SHOW SUPPLIER SIDE COST WHILE CHANGING CURRENCY
#25 - 02/02/2024 10:48 AM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED
1.SHOW SUPPLIER SIDE COST WHILE CHANGING CURRENCY

#26 - 09/28/2024 11:22 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#27 - 10/29/2024 04:05 PM - Arathy PS
- Status changed from Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1. Data not showing for issue, cancel, void options in the consider field. use drop down of data to issue date
2. Number of items in the refund column gets doubled after each update. from refund tbl_mod_of_refund_supp_doc data Duplication in this table
causes this data to be added again when refund is fixed automatically this will be fixed

#28 - 10/30/2024 10:43 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#29 - 11/05/2024 03:42 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Error While Search With Issued,Cancel,Void ltems From Consider Options

#30 - 11/05/2024 05:03 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Error While Search With Issued,Cancel,Void ltems From Consider Options

#31 - 11/21/2024 06:25 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Not Re-Loading To Default Transaction Date Drop Down After Changing The Drop Down Date Item And Selecting New Button

#32 - 11/22/2024 09:41 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Not Re-Loading To Default Transaction Date Drop Down After Changing The Drop Down Date Item And Selecting New Button

#33 - 11/23/2024 12:52 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

#34 - 03/06/2025 12:26 PM - Arathy PS

- Status changed from Reopen Bugs Testing Done to Reopen Bugs
- Assignee changed from Vivekp V to Augustin Jose

- % Done changed from 90 to 50

ISSUE FIXED

1. Reset button missing.
2. Data/Amount shared through AR sharing is missing.

#35 - 03/10/2025 07:07 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70
